Method: organizations.locations.securityProfiles.delete

Deletes a single security profile.

HTTP request

DELETE https://networksecurity.googleapis.com/v1/{name=organizations/*/locations/*/securityProfiles/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the SecurityProfile to delete. Format: organizations/{organization}/locations/{location}/securityProfiles/{securityProfile} or projects/{project}/locations/{location}/securityProfiles/{securityProfile}.

Query parameters

Parameters
etag

string

Optional. If the client-provided etag is out of date, the delete request returns an ABORTED error.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.